{
  "/email/event_settings": {
    "get": {
      "tags": [
        "email management"
      ],
      "summary": "Get Email Event Settings",
      "description": "Get all email event settings",
      "operationId": "get_email_event_settings_email_event_settings_get",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EmailEventSettingsResponse"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    },
    "patch": {
      "tags": [
        "email management"
      ],
      "summary": "Update Event Settings",
      "description": "Update the settings for email events",
      "operationId": "update_event_settings_email_event_settings_patch",
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/EmailEventSettingsUpdateRequest"
            }
          }
        },
        "required": true
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  },
  "/email/event_settings/reset": {
    "post": {
      "tags": [
        "email management"
      ],
      "summary": "Reset Event Settings",
      "description": "Reset all email event settings to default (new user invitations on, virtual key creation off)",
      "operationId": "reset_event_settings_email_event_settings_reset_post",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  }
}